View Issue Details

IDProjectCategoryView StatusLast Update
16394Bug reportsOtherpublic2020-07-06 13:21
Reportercdorin Assigned To 
PrioritylowSeverityminor 
Status closedResolutionfixed 
Product Version4.3.0 
Summary16394: If text too long, data protection statement text not stored
Description

If text too long, data protection statement text not stored

Additional Information

15307 is the bug that affects LS3.
In LS4, another solution needs to be provided:

In LS4, see how the limit is working for question code -> implement a similar solution (when the limit is reached, the little wheel shows you the number of characters left <<see also how color changes) - once the limit is reached, the wheel gets red and "0" is displayed)

TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Activities

gabrieljenik

gabrieljenik

2020-06-26 18:02

developer   ~58532

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1453

Added max length and type-counter to data sec label input.
TypeCounter.vue was missing.
Cloned it and adapted it for showing OK on empty string

guest

guest

2020-06-29 16:47

viewer   ~58561

Last edited: 2020-06-30 13:52

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=30228

user225042

2020-06-30 13:52

  ~58574

Tested the issue ,working as expected.

Please refer the screenshot for more details

lime_release_bot

lime_release_bot

2020-07-06 13:21

administrator   ~58711

Fixed in Release 4.3.3+200707

Related Changesets

LimeSurvey: master 18f3377f

2020-06-29 16:47:29

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16394: If text too long, data protection statement text not stored (#1453)

Added max length and type-counter to data sec label input.
TypeCounter.vue was missing. Cloned it and adapted it for showing OK on empty string
Affected Issues
16394
mod - assets/packages/datasecuritysettings/build.min/css/main.css Diff File
mod - assets/packages/datasecuritysettings/build.min/js/datasecuritysettings.js Diff File
mod - assets/packages/datasecuritysettings/build.min/js/datasecuritysettings.js.map Diff File
mod - assets/packages/datasecuritysettings/build/js/datasecuritysettings.js Diff File
mod - assets/packages/datasecuritysettings/build/js/datasecuritysettings.js.map Diff File
mod - assets/packages/datasecuritysettings/src/DataSecurityApp.vue Diff File
add - assets/packages/datasecuritysettings/src/helperComponents/TypeCounter.vue Diff File
mod - assets/packages/datasecuritysettings/src/storage/actions.js Diff File

Issue History

Date Modified Username Field Change
2020-06-17 15:12 cdorin New Issue
2020-06-18 12:04 cdorin Priority none => low
2020-06-18 12:04 cdorin Status new => confirmed
2020-06-26 18:02 gabrieljenik Note Added: 58532
2020-06-29 16:47 gabrieljenik Changeset attached => LimeSurvey master 18f3377f
2020-06-29 16:47 guest Note Added: 58561
2020-06-30 13:52 swendrich Status confirmed => resolved
2020-06-30 13:52 user225042 Note Added: 58574
2020-06-30 13:52 user225042 File Added: 16394_Length_DataPrivacy.png
2020-07-06 13:21 lime_release_bot Note Added: 58711
2020-07-06 13:21 lime_release_bot Status resolved => closed
2020-07-06 13:21 lime_release_bot Resolution open => fixed